Bug 848259 - [abrt] kicad-2012.01.19-1.rev3256.fc17: Process /usr/bin/pcbnew was killed by signal 11 (SIGSEGV)
[abrt] kicad-2012.01.19-1.rev3256.fc17: Process /usr/bin/pcbnew was killed by...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kicad (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alain Portal
Fedora Extras Quality Assurance
abrt_hash:3ac12814652349a926b0f2d6f48...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-14 23:07 EDT by hamtaro8617
Modified: 2013-07-02 17:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-02 17:35:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (5.52 KB, text/plain)
2012-08-14 23:08 EDT, hamtaro8617
no flags Details
File: event_log (30.09 KB, text/plain)
2012-08-14 23:08 EDT, hamtaro8617
no flags Details
File: backtrace (82.75 KB, text/plain)
2012-08-14 23:08 EDT, hamtaro8617
no flags Details
File: maps (47.96 KB, text/plain)
2012-08-14 23:08 EDT, hamtaro8617
no flags Details
File: dso_list (10.14 KB, text/plain)
2012-08-14 23:08 EDT, hamtaro8617
no flags Details

  None (edit)
Description hamtaro8617 2012-08-14 23:07:01 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/pcbnew /home/danullo/Documenti/rs232/rs232.brd
crash_function: CONNECTIONS::Propagate_SubNets
executable:     /usr/bin/pcbnew
kernel:         3.5.1-1.fc17.x86_64
pid:            5409
pwd:            /home/danullo/Documenti/rs232
remote_result:  NOTFOUND
time:           mer 15 ago 2012 05:03:06 CEST
uid:            1000
username:       danullo
xsession_errors: 

backtrace:      Text file, 84735 bytes
core_backtrace: Text file, 5655 bytes
dso_list:       Text file, 10385 bytes
event_log:      Text file, 30810 bytes
maps:           Text file, 49107 bytes

build_ids:
:f69712fe393313f44607679e934bf5a67f39ec50
:9d49f2f604fdc7a787f63c16cc08353956f2fd41
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:45b9c1436f78151fc2e3f8ab1189d31532b2f2af
:fd952473da735f9c0f50de231aa3d84d7855ef57
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:602961bbc6a8c6f27b106252eefdd6d7ac18b8ed
:6880802db4dbe99bf291c5ca4e33a98ed02059fe
:6668de624a10d486a3484d5b4921f87b1e77d36c
:6ea05195018eb2e7efb545d3cbdec19ab3680ec4
:fb86c3a448f22bd68843d5aa0b35e74d20629e85
:8f7c190397d7c1f617e66f18f759714662b60367
:67792c148d2b8f13f6732c9367e926c26d7376c5
:63651cdc0224824a9c9324c77c3b5887378e871d
:c4ec0971b2dcee71aaf8374975474054245fea00
:822e9b3523e8312240f41a25722d539bc77ed436
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:1930c8cd9ca42879da095fd8b54478483f71d785
:f4d479614b09460085428bbe7d53df454d0d39e5
:d804f8ee47797da9213a92f00cd095ecada8d79f
:4b044fe80e4c1b69986abc4b160c303048005d4e
:1ec2a7bb430f6ec982e05dce422ee2ad7ca535af
:6088efab2ef3571c51fb041bb70b4ab626221ba4
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881
:3c4b29b666ec261f072062e01c941b2b275c91af
:e269301fafc421669fee7a6244f5ba29429faa7f
:6086bff484a49cc8b80cb714d7e83a6391394800
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:fa81176245f9e4370b3ffe6dd8db8a17646c70e9
:d0ff5c635b9991ff9c996523d2a8eefbabe0bf5b
:0aba7ec92cfe9227831c913e3ea7ccdc85c701e1
:87712be648d2d43ea4cd002fe7a859df636f1e13
:df97feea11d0796e7061422c3ad04b5638477abd
:253afe744466fe7580bbb6040de6183dba9e2b02
:42675a8ad8f70ff19362070510cdf1ba202a70db
:b26a3acffde6a14576fe8b9bb2b73ff461f310b6
:396fda5abd0de2132396c4a3e94f7a7173bc26e7
:5bbc59ce349c7f376e8f07e115dc85de666bd330
:af478e1912b65b20f3a209cc8003e18ae2ecc862
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:999c6a40954a490f10496b3a9aac8346fbfd7e92
:48c0fe9b8cd26b4d0b5bf1de0bc76da565bd7d27
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:ec87953f655fbcbcbe71b591db5451e56739576e
:fc13956ed359736e6a145d384f112723fd62f20d
:72c9d0e973ad7f3b20f3883a199878da7f52c39f
:faca16f15d87b83d2947a386e319b02f724dcbb5
:b34676a7754197b3aa0ab7fba51844207d644e8d
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:64575cf29d0d66d2fb8537df83e6afc548b891d0
:9d5959c271fbf2b2fc461f4781b0056cb6355a9a
:53f4da431b12a1242074f34f87a76c9153a53e2c
:e237bf84e62bb739f0b1b15fd99ee53225a6d0d9
:e45258c755689bf1d66580f1c9a3f9d4d3f26235
:e9bc653b57d686e8560e121f18118ec773027773
:3bbeb82b3bc850005dc0f186e15b20b45df0cbaa
:5d08d928a5f0b7efa48e4874b6dc4337d0a5ffb1
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:404cbecd24d186758ed474b345313da28b2990fa
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:ad8de566cd5e1ba679b3e85c6958b3ab3e6ab18c
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:5c26af53466a566bb9679cb6e71c8aa38cb0f2c9
:7c35310fc506498c612d5d982ab03becc4b4817c
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:1d4df97fa6024b097b634a272447243c95c26d85
:8c083e0f61deb55917e5c7b193fe4d000a7375f1
:247132297f287226a24c12e683292f5c94013066
:4530af0c43a510c1513feece442df27a072e3d9f
:23d1440088fed14354e355ac2cbdba1f38fcf1a3
:28398c6f56b05b403435b077e18540ce928eaeaf
:79aee4375d1f48c032b56a6a0a9c15b3773b030e
:b277af36744327e3d58eae76bcdaadcca71a28c6
:9e028577f30c598f369ec3d060b8b105e911ed10
:e91010b497ec024178c36f4365b21f668bada0ca
:605924c4a3c547d14af7c0ffd816bad19e443068
:f4c064df8745dff15466d705fb049138f9a5c949
:2a808b802dbe91f3bcaba91d14f25fc0337ea91c
:508cf66f72e70054a41215f80ed2385c6bb80030
:516204cfc31148538d56b21e2f1b945ed50127d4
:a553a7e9625a224a8f39286909adc17787ad51bd
:915e1b6a9e9b38aaf13a1d647d11751c3de5301b
:7654433afd142a4699559f45f290cd0bcfb0f2d6
:9e6594e38d36f94f5e02c90731970f1c72396147
:234d4eb1aa690c38533ef82f517b390255d3bc4d
:91db217984786e7dd727627632e7699a9e4a8634
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:54a5cc118d928470da13565de8592b664a9868e0
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:5bf8427ddeff24a2bd36962f68e6af6ffe14970f
:5350b5972464f66f404861dc50225a114a2a5e7e
:726a299098b7695fc69d788f6b19468810c1ba6e
:c02cf490b484faf606581aa62d0ca897e8a37421

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/danullo/2

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=Lamborghini
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/danullo/keyring-PdLXbd
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=danullo
:USERNAME=danullo
:MAIL=/var/spool/mail/danullo
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/danullo/.local/bin:/home/danullo/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/danullo
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1388
:LANG=it_IT.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/danullo
:SHLVL=1
:LOGNAME=danullo
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-7FzFWiYZyj,guid=afeef794c025d27edb16c4cf00000029
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/danullo
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-danullo-cbiGWU/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1400,unix/unix:/tmp/.ICE-unix/1400
:SSH_AUTH_SOCK=/run/user/danullo/keyring-PdLXbd/ssh
:GPG_AGENT_INFO=/run/user/danullo/keyring-PdLXbd/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/kicad.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=5037
:G_FILENAME_ENCODING=UTF-8

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63535                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63535                63535                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:pipe:[618517]
:pos:	0
:flags:	00
:1:pipe:[618518]
:pos:	0
:flags:	01
:2:pipe:[618519]
:pos:	0
:flags:	01
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:socket:[612487]
:pos:	0
:flags:	02004002
:5:/home/danullo/pcbnew-danullo
:pos:	5
:flags:	0100001
:6:socket:[612489]
:pos:	0
:flags:	02004002
:7:anon_inode:inotify
:pos:	0
:flags:	02004000
:8:socket:[612490]
:pos:	0
:flags:	04002
:9:socket:[740968]
:pos:	0
:flags:	02004002
:10:pipe:[618516]
:pos:	0
:flags:	01

smolt_data:
:
:
:Generale
:=================================
:UUID: 0396dfb7-2c7c-452c-84c9-7500528c0fb9
:OS: Fedora release 17 (Beefy Miracle)
:Run level predefinito: Unknown
:Linguaggio: it_IT.UTF-8
:Piattaforma: x86_64
:BogoMIPS: 4389.84
:Venditore CPU: GenuineIntel
:Modello CPU: Intel(R) Core(TM) i7-2670QM CPU @ 2.20GHz
:CPU Stepping: 7
:Famiglia della CPU: 6
:Numero modello CPU: 42
:Numero di CPU: 8
:Velocità CPU: 2201
:Memoria di sistema: 7963
:Swap di sistema: 10239
:Venditore: ASUSTeK Computer Inc.
:Sistema: VX7SX 1.0
:Form factor: Notebook
:Kernel: 3.5.1-1.fc17.x86_64
:SELinux abilitato: 1
:Politica di SELinux: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivi
:=================================
:(32902:7241:4163:5047) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(7027:4096:4163:5047) pci, xhci_hcd, USB, FL1000G USB 3.0 Host Controller
:(32902:7202:4163:5047) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:7190:4163:5047) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4163:5047) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4163:5047) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(4318:4689:4163:5047) pci, nouveau, VIDEO, N/A
:(32902:7200:4163:6659) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(4318:3054:4318:0) pci, snd_hda_intel, MULTIMEDIA, N/A
:(32902:145:32902:20993) pci, iwlwifi, NETWORK, Centrino Advanced-N 6230 AGN
:(4332:33128:4163:5047) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:7171:4163:5047) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:4163:5047) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4163:5047) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4163:5047) pci, None, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4163:5047) pci, mei, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:7194:4163:5047) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 6
:(32902:257:4163:5047) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Informazioni sul filesystem
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda4 / ext4 4096 4096 50396408 48065189 45505189 12804096 12544538 12544538
:/dev/sdb2 /home ext4 4096 4096 177688778 50084073 41057987 45137920 45114915 45114915
:/dev/sda3 /boot ext4 4096 4096 258022 227743 214636 65536 65185 65185
:

var_log_messages:
:Aug 15 02:07:02 Lamborghini dbus-daemon[935]: (packagekitd:1628): PkPlugin-WARNING **: could not load desktop file /usr/share/mimelnk/application/x-kicad-pcbnew.desktop
:Aug 15 05:03:06 Lamborghini kernel: [11454.930598] pcbnew[5409]: segfault at 6500000071 ip 00000000004b54aa sp 00007fffeb227b60 error 4 in pcbnew[400000+30d000]
:Aug 15 05:03:07 Lamborghini abrt[5684]: Saved core dump of pid 5409 (/usr/bin/pcbnew) to /var/spool/abrt/ccpp-2012-08-15-05:03:06-5409 (43098112 bytes)
Comment 1 hamtaro8617 2012-08-14 23:08:36 EDT
Created attachment 604489 [details]
File: core_backtrace
Comment 2 hamtaro8617 2012-08-14 23:08:41 EDT
Created attachment 604490 [details]
File: event_log
Comment 3 hamtaro8617 2012-08-14 23:08:45 EDT
Created attachment 604491 [details]
File: backtrace
Comment 4 hamtaro8617 2012-08-14 23:08:48 EDT
Created attachment 604492 [details]
File: maps
Comment 5 hamtaro8617 2012-08-14 23:08:51 EDT
Created attachment 604493 [details]
File: dso_list
Comment 6 Alain Portal 2012-09-21 07:47:53 EDT
A bug report without steps on how to reproduce is useless. Please, give infos.
Comment 7 Alain Portal 2013-07-02 17:35:18 EDT
No answer from reporter -> Closing...

Note You need to log in before you can comment on or make changes to this bug.